aboutsummaryrefslogtreecommitdiffstats
path: root/aai-resources/src
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-10-02 01:40:36 -0400
committerVenkata Harish K Kajur <vk250x@att.com>2017-10-02 01:41:04 -0400
commitb5a4ca0e81982c6dff6a978a1d6f3c8fc5fe2c8f (patch)
treecd525fa263e3e4cf1ec2fbcdbe25ddc9380cec5a /aai-resources/src
parentb33b55b16d1c230fb1bf454d7d517f2c2d57941b (diff)
Fix git clone issue to fail container startup
When the git clone fails, application should not startup Issue-ID: AAI-408 Change-Id: I49fdaa40d793b500142c6e5fe4d6d7085676160a Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-resources/src')
-rw-r--r--aai-resources/src/main/resources/docker/init-chef.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/aai-resources/src/main/resources/docker/init-chef.sh b/aai-resources/src/main/resources/docker/init-chef.sh
index 811c0ea..4c49a27 100644
--- a/aai-resources/src/main/resources/docker/init-chef.sh
+++ b/aai-resources/src/main/resources/docker/init-chef.sh
@@ -32,7 +32,7 @@ if [ ! -d "aai-config" ]; then
git clone --depth 1 -b ${CHEF_BRANCH} --single-branch ${CHEF_CONFIG_GIT_URL}/${CHEF_CONFIG_REPO}.git aai-config || {
echo "Error: Unable to clone the aai-config repo with url: ${CHEF_GIT_URL}/${CHEF_CONFIG_REPO}.git";
- exit;
+ exit 1;
}
fi
@@ -49,7 +49,7 @@ if [ ! -d "aai-data" ]; then
git clone --depth 1 -b ${CHEF_BRANCH} --single-branch ${CHEF_DATA_GIT_URL}/aai-data.git aai-data || {
echo "Error: Unable to clone the aai-data repo with url: ${CHEF_GIT_URL}";
- exit;
+ exit 1;
}
fi
@@ -61,5 +61,5 @@ chef-solo \
/opt/app/aai-resources/bin/createDBSchema.sh || {
echo "Error: Unable to create the db schema, please check if the hbase host is configured and up";
- exit;
+ exit 1;
}